	SUBROUTINE GET_FILE(file)

	INCLUDE 'PERP.INC'
	INTEGER*4 local_quals(qual_count)
	INTEGER*4 file_lth, infile_lth, local_lth
	CHARACTER file*512, infile*512, local_line*512, qual_type*1
	LOGICAL more

	more = .false.
	file   = ' '
	qual_type = 'L'

	icode = CLI$PRESENT('p1')
	if (icode) then
	do while (CLI$GET_VALUE('p1',infile))

	   if (more) file = file(1:file_lth) // ','

	   icode = STR$TRIM (infile, infile, infile_lth)

	   CALL CHECK_QUALS(local_quals,qual_values)
	   CALL BUILD_LINE( local_line, local_lth, local_quals, qual_values,
     &				qual_type)

	   icode = STR$TRIM (file, file, file_lth)
	   if (file_lth.gt.1) then
		if(local_lth.gt.1) then
		file = file(1:file_lth)  // infile(1:infile_lth)
     &					// local_line(1:local_lth)
		else
		file = file(1:file_lth)  // infile(1:infile_lth)
		endif
	   else
		if (local_lth.gt.1) then
		file = infile(1:infile_lth) // local_line(1:local_lth)
		else
		file = infile(1:infile_lth)
		endif
	   endif

	icode = STR$TRIM (file, file, file_lth)
	more = .true.

	enddo
	endif
C
	RETURN
	END
